Bug 908421

Summary: jtidy: Missing dependencies on xml-commons-apis
Product: [Fedora] Fedora Reporter: Mikolaj Izdebski <mizdebsk>
Component: jtidyAssignee: Mikolaj Izdebski <mizdebsk>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: akurtako, dbhole, java-sig-commits, mizdebsk, SpikeFedora
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 1.0-0.13.20100930svn1125 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-12 23:22:37 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Mikolaj Izdebski 2013-02-06 16:46:48 UTC
Description of problem:
jtidy has missing dependency on xml-commons-apis. It is specified in POM file but not in RPM requires.

Version-Release number of selected component (if applicable):
1.0-0.12.20100930svn1125

Additional info:
See packaging guidelines [1].

[1] http://fedoraproject.org/wiki/Packaging:Guidelines

Comment 1 Mikolaj Izdebski 2013-02-06 16:57:59 UTC
Fixed in jtidy-1.0-0.13.20100930svn1125

Comment 2 Alexander Kurtakov 2013-02-06 17:39:56 UTC
xml-commons-apis are part of the 5.0+ jvm (mostly) so the first thing one has to do in such cases is to check whether it doesn't make sense to remove them from the pom instead of adding BR/R.

Comment 3 Mikolaj Izdebski 2013-02-06 18:10:17 UTC
(In reply to comment #2)
> xml-commons-apis are part of the 5.0+ jvm (mostly) so the first thing one
> has to do in such cases is to check whether it doesn't make sense to remove
> them from the pom instead of adding BR/R.

In general I agree. But currently we have 20+ different XML parsers, many of them have multiple groupId:artifactId pairs. Some of them have file conflicts. SOme of them are included in JDK. That's very confusing and I don't have time to fix this right now.

Comment 4 Fedora Update System 2013-02-08 09:19:14 UTC
jtidy-1.0-0.13.20100930svn1125.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jtidy-1.0-0.13.20100930svn1125.fc17

Comment 5 Fedora Update System 2013-02-08 09:19:56 UTC
jtidy-1.0-0.13.20100930svn1125.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/jtidy-1.0-0.13.20100930svn1125.fc18

Comment 6 Fedora Update System 2013-02-09 11:24:51 UTC
Package jtidy-1.0-0.13.20100930svn1125.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jtidy-1.0-0.13.20100930svn1125.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2176/jtidy-1.0-0.13.20100930svn1125.fc17
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-03-12 23:22:39 UTC
jtidy-1.0-0.13.20100930svn1125.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-04-08 22:54:17 UTC
jtidy-1.0-0.13.20100930svn1125.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.